import cirq
import numpy as np

QUBIT_ORDER = [
    cirq.GridQubit(1, 4),
    cirq.GridQubit(2, 3),
    cirq.GridQubit(2, 4),
    cirq.GridQubit(2, 5),
    cirq.GridQubit(3, 2),
    cirq.GridQubit(3, 3),
    cirq.GridQubit(3, 4),
    cirq.GridQubit(3, 5),
    cirq.GridQubit(4, 1),
    cirq.GridQubit(4, 2),
    cirq.GridQubit(4, 3),
    cirq.GridQubit(4, 4),
    cirq.GridQubit(4, 5),
    cirq.GridQubit(5, 0),
    cirq.GridQubit(5, 1),
    cirq.GridQubit(5, 2),
    cirq.GridQubit(5, 3),
    cirq.GridQubit(5, 4),
    cirq.GridQubit(5, 5),
    cirq.GridQubit(6, 0),
    cirq.GridQubit(6, 1),
    cirq.GridQubit(6, 2),
    cirq.GridQubit(6, 3),
    cirq.GridQubit(6, 4),
    cirq.GridQubit(6, 5),
    cirq.GridQubit(7, 1),
    cirq.GridQubit(7, 2),
    cirq.GridQubit(7, 3),
    cirq.GridQubit(7, 4),
    cirq.GridQubit(8, 3),
    cirq.GridQubit(8, 4),
    cirq.GridQubit(9, 3),
    cirq.GridQubit(9, 4),
    cirq.GridQubit(10, 4),
    cirq.GridQubit(1, 6),
    cirq.GridQubit(2, 6),
    cirq.GridQubit(2, 7),
    cirq.GridQubit(3, 6),
    cirq.GridQubit(3, 7),
    cirq.GridQubit(3, 8),
    cirq.GridQubit(4, 6),
    cirq.GridQubit(4, 7),
    cirq.GridQubit(4, 8),
    cirq.GridQubit(4, 9),
    cirq.GridQubit(5, 6),
    cirq.GridQubit(5, 7),
    cirq.GridQubit(5, 8),
    cirq.GridQubit(5, 9),
    cirq.GridQubit(5, 10),
    cirq.GridQubit(6, 6),
    cirq.GridQubit(6, 7),
    cirq.GridQubit(6, 8),
    cirq.GridQubit(6, 9),
    cirq.GridQubit(6, 10),
    cirq.GridQubit(7, 5),
    cirq.GridQubit(7, 6),
    cirq.GridQubit(7, 7),
    cirq.GridQubit(7, 8),
    cirq.GridQubit(7, 9),
    cirq.GridQubit(8, 5),
    cirq.GridQubit(8, 6),
    cirq.GridQubit(8, 7),
    cirq.GridQubit(8, 8),
    cirq.GridQubit(9, 5),
    cirq.GridQubit(9, 6),
    cirq.GridQubit(9, 7),
    cirq.GridQubit(10, 5),
    cirq.GridQubit(10, 6),
    cirq.GridQubit(11, 5),
]

CIRCUIT = cirq.Circuit(
    [
        cirq.Moment(
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 4)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(1, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 8)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 9)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 9)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 10)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.2612955993283625).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.2612955993283634).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.7573953628787837).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.7573953628787837).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.017759400199778).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=1.017759400199778).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.7527342403892576).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.7527342403892576).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.3061676169467127).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.30616761694671357).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=3.065526104556402).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-3.065526104556402).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.9886011134932502).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-1.9886011134932502).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.3042227832238922).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.3042227832238922).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.6754829699469673).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.6754829699469673).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=1.780950093726845).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.7809500937268445).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.8820361420801193).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.8820361420801195).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=2.9971022587034355).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-2.9971022587034355).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.6834682954148015).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.6834682954148015).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.4706641539637362).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.470664153963736).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.0728131138291523).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.0728131138291523).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-2.1913868363441997).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=2.1913868363441997).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.6844752950074904).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.6844752950074904).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.8322400942425232).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.8322400942425232).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.915948494277444).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.915948494277444).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.0489589154904913).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.048958915490491).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.521209151321891).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-2.521209151321891).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.643747321285698).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=2.643747321285698).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.4135324809423206).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.4135324809423206).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-1.037807494727728).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.037807494727728).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1879828761550503).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1772785804668933).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1812524729317177).on(
                cirq.GridQubit(3, 5), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2316247505126687).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24145133293991444).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21157556561246305).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20273410781339501).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1931022394542508).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20498641044367033).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19262331683125977).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18638860314721628).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21929259522236158).on(
                cirq.GridQubit(8, 4), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24674373880042946).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(3, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2117483024561551).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20089735137639292).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19235442862238047).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17261175923512678).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20648697540746536).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21340423311602605).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2121923068893976).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22199065327301973).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(8, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.15318021515186142).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18267210026850123).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19003780710146967).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.2612955993283634).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.2612955993283625).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.7573953628787837).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.7573953628787837).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.017759400199778).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-1.017759400199778).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.7527342403892576).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.7527342403892576).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.30616761694671357).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.3061676169467127).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-3.065526104556402).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=3.065526104556402).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.9886011134932502).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=1.9886011134932502).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.3042227832238922).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.3042227832238922).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.6754829699469673).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.6754829699469673).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-1.7809500937268445).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.780950093726845).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.8820361420801195).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.8820361420801193).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-2.9971022587034355).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=2.9971022587034355).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.6834682954148015).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.6834682954148015).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.470664153963736).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.4706641539637362).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.0728131138291523).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.0728131138291523).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=2.1913868363441997).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-2.1913868363441997).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.6844752950074904).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.6844752950074904).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.8322400942425232).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.8322400942425232).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.915948494277444).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.915948494277444).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.048958915490491).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.0489589154904913).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.521209151321891).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=2.521209151321891).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.643747321285698).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-2.643747321285698).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.4135324809423206).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.4135324809423206).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=1.037807494727728).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.037807494727728).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 3)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(11, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.771541609109379).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=0.771541609109379).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.2504474826126994).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.2504474826126994).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.9660963455598761).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.9660963455598761).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.8916450086190757).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=2.8916450086190775).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.528940758172995).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.528940758172995).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.3182276735159864).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=1.3182276735159864).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.2148149002754742).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.214814900275478).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=1.951127176432289).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-1.951127176432289).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.4537636246664647).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.4537636246664647).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=2.5836427638180375).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.5836427638180393).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-1.953808892576351).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=1.953808892576351).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.692681637493596).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.692681637493596).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=1.0127476300318996).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.0127476300319).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.5714941135130145).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.5714941135130145).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.6391914494693456).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.6391914494693456).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-0.8601795609021057).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.8601795609021075).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-2.6211283717333593).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.6211283717333593).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=2.2032511888347663).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-2.2032511888347592).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.266359116174497).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=2.266359116174497).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.8325167062256719).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=0.8325167062256719).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.9217435956567552).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.9217435956567552).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.8625808576370031).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.8625808576370027).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=3.0015701905103835).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-3.0015701905103835).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.27190850219588825).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-0.27190850219588825).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.9721956888559582).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.9721956888559582).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.189604863287496).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.189604863287496).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.8365677752521492).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.8365677752521492).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.263613376686866).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.263613376686866).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.723461741246993).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.723461741246993).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.6207838550491296).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.6207838550491296).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-1.2976195437809146).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=1.2976195437809146).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.6387633632719449).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.6387633632719449).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-1.0828454194636965).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=1.0828454194636983).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2028582403361142).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17155531768815832).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1501312753180816).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17328136019914836).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14939715278688492).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22735999064674361).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17060617352256646).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20081521398879582).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21913570592983905).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21870919659479632).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18510870677406194).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22517189416837946).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19432599540728265).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2008571052642536).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20229625557047437).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20015975954135296).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17889937670542874).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2589512754021307).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17452126884950986).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21329453371337392).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2135503104901022).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.205364574188729).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22279224190723848).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686982552424233).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18648689028941046).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17077031601582446).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19362996348905404).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1865129288954145).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2141368339836252).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21565530793744866).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20049843945136045).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1784141044216126).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19238675416946954).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.771541609109379).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-0.771541609109379).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.2504474826126994).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.2504474826126994).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.9660963455598761).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.9660963455598761).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.8916450086190775).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-2.8916450086190757).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.528940758172995).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.528940758172995).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.3182276735159864).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-1.3182276735159864).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.214814900275478).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.2148149002754742).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-1.951127176432289).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=1.951127176432289).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.4537636246664647).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.4537636246664647).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-2.5836427638180393).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.5836427638180375).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=1.953808892576351).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-1.953808892576351).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.692681637493596).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.692681637493596).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-1.0127476300319).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.0127476300318996).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.5714941135130145).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.5714941135130145).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.6391914494693456).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.6391914494693456).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=0.8601795609021075).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.8601795609021057).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=2.6211283717333593).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.6211283717333593).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-2.2032511888347592).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=2.2032511888347663).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.266359116174497).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-2.266359116174497).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.8325167062256719).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-0.8325167062256719).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.9217435956567552).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.9217435956567552).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.8625808576370027).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.8625808576370031).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-3.0015701905103835).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=3.0015701905103835).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.27190850219588825).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=0.27190850219588825).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.9721956888559582).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.9721956888559582).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.189604863287496).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.189604863287496).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.8365677752521492).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.8365677752521492).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.263613376686866).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.263613376686866).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.723461741246993).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.723461741246993).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.6207838550491296).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.6207838550491296).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=1.2976195437809146).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-1.2976195437809146).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.6387633632719449).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.6387633632719449).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=1.0828454194636983).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-1.0828454194636965).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 5)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.7423791619972846).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-0.7423791619972846).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.596785296185459).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=2.596785296185459).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.0347665664021903).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.0347665664021903).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.066223212558075).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.066223212558082).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.375609397570754).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.375609397570754).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.5152905473001219).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=0.515290547300129).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.30161456892249205).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.30161456892249205).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.5374551093344779).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.537455109334477).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.8451255925379398).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.8451255925379364).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.22081212426099125).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.22081212426098415).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.1312434860746343).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.1312434860746414).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.24114608136490645).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.24114608136491356).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-2.3844893477428393).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.3844893477428393).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=2.30170675437779).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.30170675437779).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.7602522012169253).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.7602522012169324).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.7133812084870608).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.7133812084870608).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.3627223157220527).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.3627223157220527).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.430426894542908).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.43042689454290617).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=0.7505138250897438).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.7505138250897367).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=1.156800334739767).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-1.1568003347397688).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.08524789605545102).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.08524789605545102).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.882658452841886).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.882658452841884).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=3.080849795720983).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-3.080849795720985).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=0.990692974388117).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.9906929743881178).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1913509097329854).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17495837679586462).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20537145966173476).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16799127477355444).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1849398185377522).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20228865883293606).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19617945075732224).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20225565453124536).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1794079064306328).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23019725960795806).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20991251135943484).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24826027841906256).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1961388079911791).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23089284576126692).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17270882415815414).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19702898374464617).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20137884197057235).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21154701553284852).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14918437979223126).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23600344718169164).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20765763149518696).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1826801767876411).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19899938345345727).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20522227053327524).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.7423791619972846).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=0.7423791619972846).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.596785296185459).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-2.596785296185459).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.0347665664021903).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.0347665664021903).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.066223212558082).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.066223212558075).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.375609397570754).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.375609397570754).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.515290547300129).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-0.5152905473001219).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.30161456892249205).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.30161456892249205).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.537455109334477).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.5374551093344779).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.8451255925379364).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.8451255925379398).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.22081212426098415).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.22081212426099125).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.1312434860746414).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.1312434860746343).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.24114608136491356).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.24114608136490645).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=2.3844893477428393).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.3844893477428393).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-2.30170675437779).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.30170675437779).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.7602522012169324).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.7602522012169253).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.7133812084870608).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.7133812084870608).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.3627223157220527).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.3627223157220527).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.43042689454290617).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.430426894542908).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-0.7505138250897367).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.7505138250897438).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-1.1568003347397688).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=1.156800334739767).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.08524789605545102).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.08524789605545102).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.882658452841884).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.882658452841886).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-3.080849795720985).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=3.080849795720983).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-0.9906929743881178).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.990692974388117).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.9302818834483586).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.9302818834483586).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-0.8603513732050151).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.8603513732050168).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.2330983634806323).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.2330983634806252).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-3.075966152560376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=3.075966152560376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.43636549750119613).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.43636549750120324).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-1.2688659072798103).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=1.2688659072798103).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=3.0368933591533143).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-3.036893359153307).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.9775907554721466).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=1.9775907554721535).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=2.1121939732652706).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.1121939732652706).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.2802587655668667).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=0.2802587655668738).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-1.3983104172751872).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.3983104172751943).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.7640858785254707).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=1.7640858785254707).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.3970428933096421).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.3970428933096421).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-0.5100447032325519).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.5100447032325519).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.481230523715894).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.481230523715894).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.1403915600977506).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.1403915600977577).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=1.8719793494816985).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.8719793494816985).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.7992581301620056).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.7992581301619985).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-1.8565669126793214).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=1.8565669126793214).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=2.46335788962514).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.463357889625133).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.08536709128544473).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-0.08536709128544473).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-1.7454010153184993).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.7454010153184993).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.571673793954746).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.571673793954746).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=3.110674607986624).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-3.110674607986624).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21814496429138075).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1876627683499986).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19102221661159943).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17962889419107686).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21020361434960388).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686730166563717).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2180601875027111).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2041430583968899).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20681346387026955).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2014642077553138).on(
                cirq.GridQubit(7, 1), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1800898509401514).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20984567342007487).on(
                cirq.GridQubit(9, 3), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19360476293233575).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(2, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18717941873152216).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23149313148224443).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2490898052071908).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(4, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21009353591967073).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2005977787370925).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20501430549313426).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22531105282692737).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21743572722745008).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20867322649225).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1843636788151226).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1682068160613433).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.9302818834483586).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.9302818834483586).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=0.8603513732050168).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.8603513732050151).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.2330983634806252).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.2330983634806323).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=3.075966152560376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-3.075966152560376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.43636549750120324).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.43636549750119613).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=1.2688659072798103).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-1.2688659072798103).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-3.036893359153307).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=3.0368933591533143).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.9775907554721535).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-1.9775907554721466).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-2.1121939732652706).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.1121939732652706).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.2802587655668738).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-0.2802587655668667).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=1.3983104172751943).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.3983104172751872).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.7640858785254707).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-1.7640858785254707).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.3970428933096421).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.3970428933096421).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=0.5100447032325519).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.5100447032325519).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.481230523715894).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.481230523715894).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.1403915600977577).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.1403915600977506).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-1.8719793494816985).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.8719793494816985).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.7992581301619985).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.7992581301620056).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=1.8565669126793214).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-1.8565669126793214).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-2.463357889625133).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.46335788962514).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.08536709128544473).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=0.08536709128544473).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=1.7454010153184993).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.7454010153184993).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.571673793954746).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.571673793954746).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-3.110674607986624).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=3.110674607986624).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 0)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 4)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 10)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 10)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.8354344225327777).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=1.8354344225327817).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-0.5417719736197562).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=0.5417719736197562).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.15610749677475155).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.15610749677475155).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.603087867885275).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.6030878678852822).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.8925449995566338).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.8925449995566329).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.1747402889394856).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=1.1747402889394643).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.4742835691535366).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.4742835691535366).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.041194576760617).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.041194576760617).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.694355234875051).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=2.694355234875058).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.9074608974154224).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-2.9074608974154152).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.2552075362574477).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.2552075362574406).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.8138051665657892).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.813805166565796).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.15191941375240248).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=0.15191941375240248).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=2.1704553938713467).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.1704553938713467).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.5103392296379816).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.5103392296379887).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.0523215735242779).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.0523215735242779).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.1682624191184523).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.1682624191184594).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.2658948941890706).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.2658948941890706).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.9628935516138135).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.9628935516138206).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.06799087780880342).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.06799087780880342).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.8997690550478552).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.8997690550478552).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.0948966388364028).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.0948966388364063).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.6819399646598256).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.6819399646598256).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=2.8474301486875646).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.8474301486875646).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1913509097329854).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17495837679586462).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20537145966173476).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16799127477355444).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1849398185377522).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20228865883293606).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19617945075732224).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20225565453124536).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1794079064306328).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23019725960795806).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20991251135943484).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24826027841906256).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1961388079911791).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23089284576126692).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17270882415815414).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19702898374464617).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20137884197057235).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21154701553284852).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14918437979223126).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23600344718169164).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20765763149518696).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1826801767876411).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19899938345345727).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20522227053327524).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.8354344225327817).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-1.8354344225327777).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=0.5417719736197562).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-0.5417719736197562).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.15610749677475155).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.15610749677475155).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.6030878678852822).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.603087867885275).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.8925449995566329).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.8925449995566338).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.1747402889394643).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-1.1747402889394856).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.4742835691535366).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.4742835691535366).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.041194576760617).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.041194576760617).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.694355234875058).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-2.694355234875051).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.9074608974154152).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=2.9074608974154224).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.2552075362574406).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.2552075362574477).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.813805166565796).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.8138051665657892).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.15191941375240248).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-0.15191941375240248).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-2.1704553938713467).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.1704553938713467).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.5103392296379887).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.5103392296379816).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.0523215735242779).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.0523215735242779).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.1682624191184594).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.1682624191184523).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.2658948941890706).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.2658948941890706).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.9628935516138206).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.9628935516138135).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.06799087780880342).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.06799087780880342).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.8997690550478552).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.8997690550478552).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.0948966388364063).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.0948966388364028).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.6819399646598256).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.6819399646598256).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-2.8474301486875646).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.8474301486875646).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 8)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.7645662164510085).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.7645662164510085).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-2.4954892894607212).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.4954892894607212).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.027022432042162592).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.027022432042155486).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.6344950553392117).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=2.634495055339208).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-1.239578534386677).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=1.239578534386684).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=3.138262655856373).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-3.138262655856373).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.8108742944559033).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=0.8108742944559104).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-2.499432964373195).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.4994329643732023).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.1023444113316039).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.102344411331611).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=2.454392104207347).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-2.454392104207354).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=3.093586391432421).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-3.093586391432442).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.350989881055579).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.350989881055579).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.0811622346106162).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.0811622346106198).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=0.6391255426717422).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.6391255426717386).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.8167691107725226).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.8167691107725226).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.6184667503066343).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-2.6184667503066272).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-1.8572522960903122).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.8572522960903122).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.060902167461133416).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.06090216746114052).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-0.3737482992626795).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=0.3737482992626795).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=3.110570836432327).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-3.11057083643232).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.2634629951270426).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-1.2634629951270426).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-1.3247742355161733).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.3247742355161698).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.960550719870181).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.9605507198701826).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.11195555076367114).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.11195555076367114).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21814496429138075).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1876627683499986).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19102221661159943).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17962889419107686).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21020361434960388).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686730166563717).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2180601875027111).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2041430583968899).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20681346387026955).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2014642077553138).on(
                cirq.GridQubit(7, 1), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1800898509401514).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20984567342007487).on(
                cirq.GridQubit(9, 3), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19360476293233575).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(2, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18717941873152216).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23149313148224443).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2490898052071908).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(4, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21009353591967073).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2005977787370925).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20501430549313426).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22531105282692737).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21743572722745008).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20867322649225).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1843636788151226).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1682068160613433).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.7645662164510085).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.7645662164510085).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=2.4954892894607212).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.4954892894607212).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.027022432042155486).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.027022432042162592).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.634495055339208).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-2.6344950553392117).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=1.239578534386684).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-1.239578534386677).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-3.138262655856373).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=3.138262655856373).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.8108742944559104).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-0.8108742944559033).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=2.4994329643732023).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.499432964373195).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.102344411331611).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.1023444113316039).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-2.454392104207354).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=2.454392104207347).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-3.093586391432442).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=3.093586391432421).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.350989881055579).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.350989881055579).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.0811622346106198).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.0811622346106162).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-0.6391255426717386).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.6391255426717422).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.8167691107725226).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.8167691107725226).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.6184667503066272).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=2.6184667503066343).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=1.8572522960903122).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.8572522960903122).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.06090216746114052).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.060902167461133416).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=0.3737482992626795).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-0.3737482992626795).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-3.11057083643232).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=3.110570836432327).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.2634629951270426).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=1.2634629951270426).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=1.3247742355161698).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.3247742355161733).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.9605507198701826).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.960550719870181).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.11195555076367114).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.11195555076367114).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 10)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.34278956823536433).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=0.34278956823537143).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.0392346589634833).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.0392346589634904).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.226152384942388).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.226152384942388).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.2717113546679659).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.2717113546679659).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.906342641069795).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=2.906342641069802).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.19522274968212727).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.19522274968213438).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.0298367845680367).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=1.0298367845680438).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.3583544353916217).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.3583544353916288).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.5334821052253709).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-1.5334821052253709).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.327075005026135).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.3270750050261384).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.6760028819226562).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.6760028819226598).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.7815828704459413).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.7815828704459626).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.6913399798090971).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.6913399798091042).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.1118933806439912).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.1118933806439912).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.345625887585026).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-0.3456258875850189).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-2.2823300219974563).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=2.2823300219974634).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.230262434194625).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.230262434194632).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.0268842582687068).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.026884258268705).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.5504664872146101).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=1.5504664872146172).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.050402417113414).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.0504024171134176).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.3862425261201743).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-1.3862425261201672).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-1.2933041998024954).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.2933041998024741).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.1437461647926135).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.1437461647926064).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.19569492807397992).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.19569492807398703).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1879828761550503).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1772785804668933).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1812524729317177).on(
                cirq.GridQubit(3, 5), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2316247505126687).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24145133293991444).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21157556561246305).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20273410781339501).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1931022394542508).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20498641044367033).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19262331683125977).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18638860314721628).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21929259522236158).on(
                cirq.GridQubit(8, 4), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24674373880042946).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(3, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2117483024561551).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20089735137639292).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19235442862238047).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17261175923512678).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20648697540746536).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21340423311602605).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2121923068893976).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22199065327301973).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(8, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.15318021515186142).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18267210026850123).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19003780710146967).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.34278956823537143).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-0.34278956823536433).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.0392346589634904).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.0392346589634833).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.226152384942388).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.226152384942388).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.2717113546679659).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.2717113546679659).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.906342641069802).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-2.906342641069795).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.19522274968213438).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.19522274968212727).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.0298367845680438).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-1.0298367845680367).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.3583544353916288).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.3583544353916217).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.5334821052253709).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=1.5334821052253709).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.3270750050261384).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.327075005026135).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.6760028819226598).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.6760028819226562).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.7815828704459626).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.7815828704459413).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.6913399798091042).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.6913399798090971).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.1118933806439912).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.1118933806439912).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.3456258875850189).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=0.345625887585026).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=2.2823300219974634).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-2.2823300219974563).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.230262434194632).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.230262434194625).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.026884258268705).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.0268842582687068).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.5504664872146172).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-1.5504664872146101).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.0504024171134176).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.050402417113414).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.3862425261201672).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=1.3862425261201743).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=1.2933041998024741).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.2933041998024954).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.1437461647926064).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.1437461647926135).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.19569492807398703).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.19569492807397992).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.Y**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 2)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-2.1353193898999514).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=2.135319389899955).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.1816646897740988).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.181664689774106).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.7287846968735998).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.7287846968736067).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=3.0949927315511836).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-3.0949927315511765).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.12418293787916923).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.12418293787916923).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.24359620011953).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-1.24359620011953).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-1.9487271152453935).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.9487271152453725).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.237512081069017).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.2375120810690241).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.4327440501750353).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.4327440501750424).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-1.1969629217681792).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=1.1969629217681863).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.525628107837374).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.525628107837381).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.7163757906911066).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.7163757906911066).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-0.902963522635117).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.902963522635117).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.10188176236468394).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.10188176236468394).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.5312862416813466).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.5312862416813395).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.2135094271000817).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.213509427100089).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=2.568616956512944).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.568616956512937).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=2.6726930616139946).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-2.672693061614016).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-1.4371575988114706).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=1.4371575988114635).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.467741223656983).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.4677412236569758).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=1.3642976611186306).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-1.3642976611186235).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.7007245009830072).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.7007245009830072).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.940218875958731).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=0.9402188759587241).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.4824768990715818).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=2.482476899071589).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.4524006166625761).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.45240061666259734).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=0.6367015486505458).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.6367015486505672).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.902784672052558).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.9027846720525652).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.3484475082421064).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.348447508242085).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.8103690943691966).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.810369094369218).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=0.028965567423430375).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.028965567423423266).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-0.21771943745779157).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=0.21771943745779862).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.8226340405873278).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.8226340405873351).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=2.886763506471045).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.8867635064710377).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2028582403361142).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17155531768815832).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1501312753180816).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17328136019914836).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14939715278688492).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22735999064674361).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17060617352256646).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20081521398879582).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21913570592983905).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21870919659479632).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18510870677406194).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22517189416837946).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19432599540728265).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2008571052642536).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20229625557047437).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20015975954135296).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17889937670542874).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2589512754021307).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17452126884950986).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21329453371337392).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2135503104901022).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.205364574188729).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22279224190723848).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686982552424233).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18648689028941046).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17077031601582446).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19362996348905404).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1865129288954145).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2141368339836252).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21565530793744866).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20049843945136045).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1784141044216126).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19238675416946954).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=2.135319389899955).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-2.1353193898999514).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.181664689774106).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.1816646897740988).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.7287846968736067).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.7287846968735998).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-3.0949927315511765).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=3.0949927315511836).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.12418293787916923).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.12418293787916923).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.24359620011953).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=1.24359620011953).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=1.9487271152453725).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.9487271152453935).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.2375120810690241).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.237512081069017).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.4327440501750424).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.4327440501750353).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=1.1969629217681863).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-1.1969629217681792).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.525628107837381).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.525628107837374).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.7163757906911066).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.7163757906911066).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=0.902963522635117).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.902963522635117).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.10188176236468394).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.10188176236468394).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.5312862416813395).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.5312862416813466).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.213509427100089).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.2135094271000817).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-2.568616956512937).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.568616956512944).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-2.672693061614016).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=2.6726930616139946).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=1.4371575988114635).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-1.4371575988114706).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.4677412236569758).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.467741223656983).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-1.3642976611186235).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=1.3642976611186306).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.7007245009830072).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.7007245009830072).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.9402188759587241).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-0.940218875958731).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.482476899071589).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-2.4824768990715818).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.45240061666259734).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.4524006166625761).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-0.6367015486505672).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.6367015486505458).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.9027846720525652).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.902784672052558).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.348447508242085).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.3484475082421064).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.810369094369218).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.8103690943691966).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-0.028965567423423266).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.028965567423430375).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=0.21771943745779862).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-0.21771943745779157).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.8226340405873351).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.8226340405873278).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-2.8867635064710377).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.886763506471045).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 0)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 1)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.8774846240899342).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=0.8774846240899414).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.21038289718438463).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.21038289718439174).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.9757289938564746).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.9757289938564746).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-2.707588322080234).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.707588322080234).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.5101176580687543).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-2.5101176580687614).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.906651170358092).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.906651170358085).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=2.152807454197923).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.152807454197916).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.043064986114192294).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.0430649861141994).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.9189864078369077).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=1.9189864078369077).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=0.492373500175919).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.4923735001759262).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.660107648196142).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.660107648196149).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=2.1374715100866233).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-2.1374715100866446).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=1.400431227785976).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-1.4004312277859974).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=0.12164921021330244).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.12164921021329889).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.3244982902228735).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.3244982902228806).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.2182493148220281).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.21824931482203522).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=1.7741132415354774).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.7741132415354706).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.0026294561157627).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.0026294561157627).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=3.093484386592717).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-3.09348438659271).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.043511518072140376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=0.04351151807213327).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.0079203177196057).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-1.0079203177195986).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.9375515950346163).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=2.937551595034595).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.3871507260760403).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.387150726076033).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.08500926081059035).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.08500926081061166).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1879828761550503).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1772785804668933).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1812524729317177).on(
                cirq.GridQubit(3, 5), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2316247505126687).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24145133293991444).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21157556561246305).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20273410781339501).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1931022394542508).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20498641044367033).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19262331683125977).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18638860314721628).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21929259522236158).on(
                cirq.GridQubit(8, 4), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24674373880042946).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(3, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2117483024561551).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20089735137639292).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19235442862238047).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17261175923512678).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20648697540746536).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21340423311602605).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2121923068893976).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22199065327301973).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(8, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.15318021515186142).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18267210026850123).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19003780710146967).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.8774846240899414).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-0.8774846240899342).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.21038289718439174).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.21038289718438463).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.9757289938564746).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.9757289938564746).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=2.707588322080234).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.707588322080234).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.5101176580687614).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=2.5101176580687543).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.906651170358085).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.906651170358092).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-2.152807454197916).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.152807454197923).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.0430649861141994).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.043064986114192294).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.9189864078369077).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-1.9189864078369077).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-0.4923735001759262).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.492373500175919).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.660107648196149).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.660107648196142).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-2.1374715100866446).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=2.1374715100866233).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-1.4004312277859974).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=1.400431227785976).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-0.12164921021329889).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.12164921021330244).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.3244982902228806).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.3244982902228735).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.21824931482203522).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.2182493148220281).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-1.7741132415354706).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.7741132415354774).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.0026294561157627).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.0026294561157627).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-3.09348438659271).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=3.093484386592717).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.04351151807213327).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-0.043511518072140376).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.0079203177195986).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=1.0079203177196057).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.937551595034595).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-2.9375515950346163).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.387150726076033).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.3871507260760403).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.08500926081061166).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.08500926081059035).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 3)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.49551688110362235).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=0.4955168811036152).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.6241498932765346).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.624149893276556).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.8660166086248999).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=0.8660166086249069).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=0.9017484401548864).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-0.9017484401548792).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.6752241698965591).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.6752241698965626).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=2.0975374913313622).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.097537491331366).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.3287590178843622).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.3287590178843836).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.9670585002361243).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.9670585002361173).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.4257375253445623).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.4257375253445694).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=1.731625387822806).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-1.7316253878227992).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.6218394105312122).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.6218394105311909).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.03678792730292102).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.036787927302913914).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=0.5528611955357388).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.5528611955357388).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.38798902135142654).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.38798902135142654).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-1.1729496303282794).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=1.1729496303282865).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.6646193824994207).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.6646193824994278).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-1.9846532412512126).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=1.9846532412512197).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=0.7347785834805798).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-0.7347785834806011).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-1.1607570930237934).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=1.1607570930237863).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.234493866951208).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.234493866951201).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=0.6985829776505632).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-0.6985829776505561).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.4607645181298157).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.4607645181298157).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.15975346238856147).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=0.15975346238856858).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.306210263767543).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=1.3062102637675501).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.27913559259811294).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.27913559259813425).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.2134622128314128).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.213462212831434).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=0.16953813140716179).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.1695381314071831).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.208593965841434).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.20859396584145531).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=0.46618916812153444).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.4661891681215558).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.5155130608122427).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.5155130608122498).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=2.2366423670430926).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.236642367043114).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.9715326050939803).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.971532605093959).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=2.115571379389433).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.1155713793894257).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2028582403361142).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17155531768815832).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1501312753180816).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17328136019914836).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14939715278688492).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22735999064674361).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17060617352256646).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20081521398879582).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21913570592983905).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21870919659479632).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18510870677406194).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22517189416837946).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19432599540728265).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2008571052642536).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20229625557047437).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20015975954135296).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17889937670542874).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2589512754021307).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17452126884950986).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21329453371337392).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2135503104901022).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.205364574188729).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22279224190723848).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686982552424233).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18648689028941046).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17077031601582446).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19362996348905404).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1865129288954145).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2141368339836252).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21565530793744866).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20049843945136045).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1784141044216126).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19238675416946954).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.4955168811036152).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-0.49551688110362235).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.624149893276556).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.6241498932765346).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.8660166086249069).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-0.8660166086248999).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-0.9017484401548792).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=0.9017484401548864).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.6752241698965626).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.6752241698965591).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-2.097537491331366).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.0975374913313622).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.3287590178843836).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.3287590178843622).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.9670585002361173).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.9670585002361243).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.4257375253445694).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.4257375253445623).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-1.7316253878227992).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=1.731625387822806).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.6218394105311909).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.6218394105312122).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.036787927302913914).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.03678792730292102).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-0.5528611955357388).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.5528611955357388).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.38798902135142654).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.38798902135142654).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=1.1729496303282865).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-1.1729496303282794).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.6646193824994278).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.6646193824994207).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=1.9846532412512197).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-1.9846532412512126).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-0.7347785834806011).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=0.7347785834805798).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=1.1607570930237863).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-1.1607570930237934).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.234493866951201).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.234493866951208).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-0.6985829776505561).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=0.6985829776505632).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.4607645181298157).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.4607645181298157).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.15975346238856858).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-0.15975346238856147).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.3062102637675501).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-1.306210263767543).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.27913559259813425).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.27913559259811294).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.213462212831434).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.2134622128314128).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-0.1695381314071831).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.16953813140716179).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.20859396584145531).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.208593965841434).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-0.4661891681215558).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.46618916812153444).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.5155130608122498).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.5155130608122427).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-2.236642367043114).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.2366423670430926).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.971532605093959).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.9715326050939803).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-2.1155713793894257).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.115571379389433).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 2)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 10)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=2.9974954382362107).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.9974954382362036).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-0.6599173131022447).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=0.6599173131022376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.5544556208740055).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.5544556208740126).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.238534812323376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.2385348123233975).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.8693624234203767).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.8693624234203767).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=3.1300957933220097).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-3.130095793322031).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.801977983381626).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.801977983381626).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=1.777143635045906).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-1.777143635045906).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.9588588547068149).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.9588588547067936).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.27409065191453763).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.2740906519145163).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.8481899888945073).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.8481899888945286).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.304526396821654).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=2.3045263968216325).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.2626050810393217).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-0.2626050810393288).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=1.776701312352035).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.776701312352028).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.522584992278407).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.5225849922784285).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.9337553876212858).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.9337553876212931).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.5848827293076617).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=1.584882729307669).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.07167495320542017).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.07167495320542727).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.5367450673653558).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.5367450673653344).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=3.0847478141954916).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-3.0847478141954845).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.5716346011781785).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.5716346011781859).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-0.26838880318004854).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=0.26838880318005565).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.120753324263493).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.1207533242635002).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=2.134456364406322).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.134456364406322).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1913509097329854).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17495837679586462).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20537145966173476).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16799127477355444).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1849398185377522).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20228865883293606).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19617945075732224).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20225565453124536).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1794079064306328).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23019725960795806).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20991251135943484).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24826027841906256).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1961388079911791).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23089284576126692).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17270882415815414).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19702898374464617).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20137884197057235).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21154701553284852).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14918437979223126).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23600344718169164).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20765763149518696).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1826801767876411).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19899938345345727).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20522227053327524).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-2.9974954382362036).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.9974954382362107).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=0.6599173131022376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-0.6599173131022447).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.5544556208740126).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.5544556208740055).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.2385348123233975).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.238534812323376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.8693624234203767).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.8693624234203767).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-3.130095793322031).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=3.1300957933220097).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.801977983381626).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.801977983381626).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-1.777143635045906).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=1.777143635045906).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.9588588547067936).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.9588588547068149).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.2740906519145163).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.27409065191453763).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.8481899888945286).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.8481899888945073).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.3045263968216325).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-2.304526396821654).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.2626050810393288).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=0.2626050810393217).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-1.776701312352028).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.776701312352035).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.5225849922784285).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.522584992278407).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.9337553876212931).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.9337553876212858).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.584882729307669).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-1.5848827293076617).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.07167495320542727).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.07167495320542017).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.5367450673653344).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.5367450673653558).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-3.0847478141954845).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=3.0847478141954916).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.5716346011781859).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.5716346011781785).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=0.26838880318005565).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-0.26838880318004854).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.1207533242635002).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.120753324263493).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-2.134456364406322).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.134456364406322).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 6)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 9)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 5)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 6)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.2827399017899346).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-0.2827399017899417).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.1177177310482485).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.1177177310482413).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.6919799449063113).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.6919799449063326).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.3100817636756936).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.3100817636757007).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.015774677129261505).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.01577467712928282).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.48990757627384).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.4899075762738327).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.21219335907561646).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-0.21219335907563777).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=2.2182257161032304).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.2182257161032517).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.9272042744693856).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.9272042744693927).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.9080259008291698).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=1.9080259008291767).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.2802791039834993).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.280279103983478).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.129846545439552).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.129846545439559).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.8503349513339523).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.8503349513339593).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-2.1965490267949512).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.1965490267949583).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.4598004352371845).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.459800435237181).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.7695070137536568).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.7695070137536781).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-0.47857661844718175).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.4785766184471747).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.35819775315095).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.358197753150929).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-2.208477766192342).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.208477766192342).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.2309756303256982).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.230975630325677).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.4854346005277428).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=1.48543460052775).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.06289389610919116).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.06289389610919827).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.156003809563085).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.1560038095630887).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.601016313725605).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=2.601016313725612).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21814496429138075).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1876627683499986).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19102221661159943).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17962889419107686).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21020361434960388).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686730166563717).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2180601875027111).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2041430583968899).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20681346387026955).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2014642077553138).on(
                cirq.GridQubit(7, 1), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1800898509401514).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20984567342007487).on(
                cirq.GridQubit(9, 3), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19360476293233575).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(2, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18717941873152216).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23149313148224443).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2490898052071908).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(4, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21009353591967073).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2005977787370925).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20501430549313426).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22531105282692737).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21743572722745008).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20867322649225).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1843636788151226).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1682068160613433).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.2827399017899417).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=0.2827399017899346).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.1177177310482413).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.1177177310482485).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.6919799449063326).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.6919799449063113).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.3100817636757007).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.3100817636756936).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.01577467712928282).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.015774677129261505).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.4899075762738327).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.48990757627384).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.21219335907563777).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=0.21219335907561646).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-2.2182257161032517).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.2182257161032304).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.9272042744693927).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.9272042744693856).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.9080259008291767).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-1.9080259008291698).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.280279103983478).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.2802791039834993).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.129846545439559).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.129846545439552).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.8503349513339593).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.8503349513339523).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=2.1965490267949583).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.1965490267949512).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.459800435237181).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.4598004352371845).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.7695070137536781).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.7695070137536568).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=0.4785766184471747).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.47857661844718175).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.358197753150929).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.35819775315095).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=2.208477766192342).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.208477766192342).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.230975630325677).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.2309756303256982).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.48543460052775).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-1.4854346005277428).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.06289389610919827).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.06289389610919116).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.1560038095630887).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.156003809563085).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.601016313725612).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-2.601016313725605).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 0)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 1)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(11, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.4196818537061482).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-0.41968185370614103).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.3950960094634617).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-1.3950960094634688).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.3635815576970707).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.3635815576970636).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.4307762681200025).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.430776268119981).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.3987919737070094).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.3987919737070094).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=2.4706460516826176).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.470646051682639).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.7053091857219265).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.70530918572193).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.3557933211409967).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.355793321141004).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.47509681013565).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-2.475096810135671).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.8541823697618476).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-2.854182369761869).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.9514557040470031).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-0.9514557040470243).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.2495751488909015).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=1.2495751488908802).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=2.495175015029762).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.495175015029755).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=1.645449951845581).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.645449951845574).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.772497963857365).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.7724979638573863).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.8319473943900455).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.8319473943900384).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.3904228327040649).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=1.390422832704072).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.7679967419373988).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.7679967419374059).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.0330328631106447).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.033032863110666).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=1.9959383572645315).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-1.9959383572645244).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=2.726533754898103).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.726533754898096).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-1.0561506171855264).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=1.0561506171855335).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-0.600357777464712).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.6003577774647191).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-2.291991768473814).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.291991768473814).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1913509097329854).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17495837679586462).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20537145966173476).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16799127477355444).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1849398185377522).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20228865883293606).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19617945075732224).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20225565453124536).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1794079064306328).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23019725960795806).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20991251135943484).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24826027841906256).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1961388079911791).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23089284576126692).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17270882415815414).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19702898374464617).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20137884197057235).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21154701553284852).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14918437979223126).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23600344718169164).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20765763149518696).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1826801767876411).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19899938345345727).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20522227053327524).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.41968185370614103).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=0.4196818537061482).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.3950960094634688).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=1.3950960094634617).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.3635815576970636).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.3635815576970707).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.430776268119981).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.4307762681200025).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.3987919737070094).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.3987919737070094).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-2.470646051682639).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.4706460516826176).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.70530918572193).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.7053091857219265).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.355793321141004).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.3557933211409967).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.475096810135671).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=2.47509681013565).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.854182369761869).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=2.8541823697618476).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.9514557040470243).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=0.9514557040470031).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.2495751488908802).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-1.2495751488909015).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-2.495175015029755).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.495175015029762).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-1.645449951845574).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.645449951845581).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.7724979638573863).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.772497963857365).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.8319473943900384).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.8319473943900455).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.390422832704072).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-1.3904228327040649).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.7679967419374059).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.7679967419373988).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.033032863110666).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.0330328631106447).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-1.9959383572645244).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=1.9959383572645315).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-2.726533754898096).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.726533754898103).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=1.0561506171855335).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-1.0561506171855264).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=0.6003577774647191).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.600357777464712).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=2.291991768473814).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.291991768473814).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 9)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-2.30559730549027).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.305597305490277).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-2.7528556473039565).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.7528556473039494).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.4859040134678274).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.4859040134678487).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.8686106664545257).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.8686106664545329).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-1.66016935475864).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=1.6601693547586187).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=1.917220986862343).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-1.9172209868623504).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.647611012645971).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-2.647611012645992).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.6963835072021813).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-1.6963835072021745).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-2.9370538364030487).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.937053836403056).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.8266249689450441).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-0.8266249689450653).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.211617704724123).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.2116177047241443).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.03826300215898826).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=0.03826300215898115).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.534454292634937).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.53445429263493).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-1.04737878089065).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.0473787808906572).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.124261848180563).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.1242618481805557).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.2475822039625264).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-2.2475822039625477).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=2.0753770431603975).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.0753770431603904).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=1.064827256405497).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.0648272564055183).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-0.7256591527757053).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=0.7256591527757017).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.5837626835185254).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=0.5837626835185041).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.30733869668614133).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=0.30733869668614844).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.35773288369314216).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.35773288369313505).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.7671268836476521).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.767126883647659).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.6834499362310176).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.6834499362310247).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21814496429138075).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1876627683499986).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19102221661159943).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17962889419107686).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21020361434960388).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686730166563717).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2180601875027111).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2041430583968899).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20681346387026955).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2014642077553138).on(
                cirq.GridQubit(7, 1), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1800898509401514).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20984567342007487).on(
                cirq.GridQubit(9, 3), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19360476293233575).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(2, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18717941873152216).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23149313148224443).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2490898052071908).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(4, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21009353591967073).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2005977787370925).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20501430549313426).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22531105282692737).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21743572722745008).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20867322649225).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1843636788151226).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1682068160613433).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=2.305597305490277).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.30559730549027).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=2.7528556473039494).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.7528556473039565).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.4859040134678487).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.4859040134678274).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.8686106664545329).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.8686106664545257).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=1.6601693547586187).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-1.66016935475864).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-1.9172209868623504).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=1.917220986862343).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.647611012645992).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=2.647611012645971).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.6963835072021745).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=1.6963835072021813).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=2.937053836403056).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.9370538364030487).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.8266249689450653).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=0.8266249689450441).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.2116177047241443).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.211617704724123).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.03826300215898115).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-0.03826300215898826).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.53445429263493).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.534454292634937).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=1.0473787808906572).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.04737878089065).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.1242618481805557).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.124261848180563).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.2475822039625477).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=2.2475822039625264).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-2.0753770431603904).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.0753770431603975).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-1.0648272564055183).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.064827256405497).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=0.7256591527757017).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-0.7256591527757053).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.5837626835185041).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-0.5837626835185254).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.30733869668614844).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-0.30733869668614133).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.35773288369313505).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.35773288369314216).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.767126883647659).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.7671268836476521).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.6834499362310247).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.6834499362310176).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 5)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-2.481569791653687).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.4815697916536656).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.2761723881529257).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.2761723881529328).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.26818279128568534).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-0.26818279128569245).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=2.551151390042129).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.551151390042129).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.09005736605432801).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.0900573660543067).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.35409768388043616).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.35409768388044327).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.8656304438633704).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.8656304438633492).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.9028033617180675).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.9028033617180887).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.2899786673354292).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.2899786673354292).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.6675337086025372).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.66753370860253).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.10206862419336815).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.10206862419337526).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.07804787817088865).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.07804787817086734).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=1.3925595433916662).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-1.3925595433916875).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.4609083243944276).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.4609083243944347).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.2314997907125864).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.2314997907126077).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.30919250047530156).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.30919250047528024).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.4056656635579791).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.4056656635580005).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.8079852920895795).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.8079852920895795).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.8242189135240316).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=1.824218913524039).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.04206801644920333).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=0.04206801644921043).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.12704630748211443).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=0.1270463074820931).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-1.5871084735513643).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.5871084735513425).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=3.117364409926335).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-3.117364409926356).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.9271218274643013).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.9271218274643225).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1879828761550503).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1772785804668933).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1812524729317177).on(
                cirq.GridQubit(3, 5), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2316247505126687).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24145133293991444).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21157556561246305).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20273410781339501).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1931022394542508).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20498641044367033).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19262331683125977).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18638860314721628).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21929259522236158).on(
                cirq.GridQubit(8, 4), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24674373880042946).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(3, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2117483024561551).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20089735137639292).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19235442862238047).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17261175923512678).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20648697540746536).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21340423311602605).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2121923068893976).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22199065327301973).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(8, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.15318021515186142).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18267210026850123).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19003780710146967).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=2.4815697916536656).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.481569791653687).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.2761723881529328).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.2761723881529257).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.26818279128569245).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=0.26818279128568534).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-2.551151390042129).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.551151390042129).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.0900573660543067).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.09005736605432801).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.35409768388044327).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.35409768388043616).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.8656304438633492).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.8656304438633704).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.9028033617180887).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.9028033617180675).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.2899786673354292).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.2899786673354292).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.66753370860253).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.6675337086025372).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.10206862419337526).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.10206862419336815).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.07804787817086734).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.07804787817088865).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-1.3925595433916875).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=1.3925595433916662).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.4609083243944347).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.4609083243944276).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.2314997907126077).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.2314997907125864).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.30919250047528024).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.30919250047530156).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.4056656635580005).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.4056656635579791).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.8079852920895795).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.8079852920895795).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.824218913524039).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-1.8242189135240316).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.04206801644921043).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-0.04206801644920333).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.1270463074820931).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-0.12704630748211443).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=1.5871084735513425).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.5871084735513643).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-3.117364409926356).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=3.117364409926335).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.9271218274643225).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.9271218274643013).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.Y**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 3)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 2)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 8)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.859294661894193).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=1.8592946618942).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.8079622791102672).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=1.8079622791102459).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.7222876561211855).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.7222876561212068).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=0.605200873145538).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-0.6052008731455594).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.328347865948725).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.328347865948732).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.6238239422126988).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=1.6238239422127059).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.5948468029144856).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.594846802914507).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=3.1274875494421686).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-3.1274875494421615).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.4047179508531435).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.4047179508531507).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-2.048980297763439).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.0489802977634177).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-1.1936586257922137).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=1.1936586257921924).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.9869062258945895).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.9869062258945966).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-1.362849957131278).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.362849957131278).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.8576013724997544).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.8576013724997618).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.002471939177613791).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.002471939177592475).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.265236058482163).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.2652360584821842).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-3.0780932201844955).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=3.0780932201845026).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=1.204220456259808).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-1.2042204562598293).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.33155557566074734).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=0.33155557566075444).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.7484335103457447).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.7484335103457234).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-1.298561072753639).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=1.298561072753646).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=3.0240698767498255).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-3.0240698767498255).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.181642778321919).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-2.181642778321912).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.222589642144559).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-2.2225896421445803).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.24065947959527634).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.24065947959525502).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=0.6605588981944841).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.6605588981945054).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=0.10332123460673515).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.10332123460675646).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.4034669190875313).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.40346691908751).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-0.2831653034418089).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.2831653034417876).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=0.13423636166031017).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.13423636166033148).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-2.966642833813385).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.9666428338133635).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.7876619277785757).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.7876619277785544).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-0.19800500185543157).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.19800500185541026).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2028582403361142).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17155531768815832).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1501312753180816).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17328136019914836).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14939715278688492).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22735999064674361).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17060617352256646).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20081521398879582).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21913570592983905).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21870919659479632).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18510870677406194).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22517189416837946).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19432599540728265).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2008571052642536).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20229625557047437).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20015975954135296).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17889937670542874).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2589512754021307).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17452126884950986).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21329453371337392).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2135503104901022).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.205364574188729).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22279224190723848).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686982552424233).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18648689028941046).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17077031601582446).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19362996348905404).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1865129288954145).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2141368339836252).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21565530793744866).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20049843945136045).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1784141044216126).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19238675416946954).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.8592946618942).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-1.859294661894193).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.8079622791102459).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-1.8079622791102672).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.7222876561212068).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.7222876561211855).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-0.6052008731455594).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=0.605200873145538).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.328347865948732).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.328347865948725).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.6238239422127059).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-1.6238239422126988).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.594846802914507).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.5948468029144856).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-3.1274875494421615).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=3.1274875494421686).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.4047179508531507).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.4047179508531435).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=2.0489802977634177).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.048980297763439).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=1.1936586257921924).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-1.1936586257922137).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.9869062258945966).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.9869062258945895).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=1.362849957131278).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.362849957131278).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.8576013724997618).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.8576013724997544).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.002471939177592475).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.002471939177613791).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.2652360584821842).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.265236058482163).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=3.0780932201845026).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-3.0780932201844955).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-1.2042204562598293).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=1.204220456259808).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.33155557566075444).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-0.33155557566074734).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.7484335103457234).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.7484335103457447).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=1.298561072753646).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-1.298561072753639).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-3.0240698767498255).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=3.0240698767498255).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.181642778321912).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=2.181642778321919).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.2225896421445803).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=2.222589642144559).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.24065947959525502).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.24065947959527634).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-0.6605588981945054).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.6605588981944841).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-0.10332123460675646).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.10332123460673515).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.40346691908751).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.4034669190875313).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=0.2831653034417876).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.2831653034418089).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-0.13423636166033148).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.13423636166031017).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=2.9666428338133635).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.966642833813385).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.7876619277785544).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.7876619277785757).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=0.19800500185541026).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.19800500185543157).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 4)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 3)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 4)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 4)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 3)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-3.016264847508257).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=3.0162648475082356).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=3.1050241499320244).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-3.1050241499320457).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.3494867196664124).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-1.3494867196664195).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.11527442262986298).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.11527442262985943).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.9567823740953649).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.9567823740953436).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.747776236159769).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.747776236159776).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=2.3170137949025893).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.3170137949026106).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.2180928109954685).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.2180928109954898).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=3.120695461452737).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-3.120695461452737).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-0.7962030933749951).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.7962030933750021).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.8450061528674233).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.845006152867416).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=1.2778407614698502).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-1.2778407614698715).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.798854556192847).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.7988545561928255).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.2273657335371375).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.2273657335371446).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.438624387095313).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=0.4386243870952917).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.7548882067001264).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.7548882067001477).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.05048352910115383).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.050483529101132525).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=2.8374990064740473).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.8374990064740437).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.8197319602832955).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.819731960283317).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.135981951634758).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.135981951634765).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.5053685158826973).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=0.505368515882676).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=3.051829438396073).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-3.051829438396094).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.9224163359698245).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.922416335969803).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=1.2078260163489283).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.2078260163489496).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1879828761550503).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1772785804668933).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1812524729317177).on(
                cirq.GridQubit(3, 5), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2316247505126687).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24145133293991444).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21157556561246305).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20273410781339501).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1931022394542508).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20498641044367033).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19262331683125977).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18638860314721628).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21929259522236158).on(
                cirq.GridQubit(8, 4), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24674373880042946).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(3, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2117483024561551).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20089735137639292).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19235442862238047).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17261175923512678).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20648697540746536).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21340423311602605).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2121923068893976).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22199065327301973).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(8, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.15318021515186142).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18267210026850123).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19003780710146967).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=3.0162648475082356).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-3.016264847508257).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-3.1050241499320457).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=3.1050241499320244).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.3494867196664195).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=1.3494867196664124).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.11527442262985943).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.11527442262986298).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.9567823740953436).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.9567823740953649).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.747776236159776).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.747776236159769).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-2.3170137949026106).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.3170137949025893).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.2180928109954898).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.2180928109954685).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-3.120695461452737).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=3.120695461452737).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=0.7962030933750021).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.7962030933749951).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.845006152867416).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.8450061528674233).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-1.2778407614698715).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=1.2778407614698502).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.7988545561928255).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.798854556192847).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.2273657335371446).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.2273657335371375).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.4386243870952917).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-0.438624387095313).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.7548882067001477).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.7548882067001264).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.050483529101132525).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.05048352910115383).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-2.8374990064740437).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.8374990064740473).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.819731960283317).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.8197319602832955).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.135981951634765).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.135981951634758).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.505368515882676).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-0.5053685158826973).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-3.051829438396094).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=3.051829438396073).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.922416335969803).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.9224163359698245).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-1.2078260163489496).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.2078260163489283).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 8)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 10)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.21949215309784978).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=0.21949215309785688).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.997852303940366).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.9978523039403875).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.5850557443698996).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-2.585055744369921).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-1.588043418250759).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=1.5880434182507377).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.879389097966115).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.879389097966108).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.7698826510008665).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=0.7698826510008594).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.5891476288646835).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.5891476288647048).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.3979411302750613).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-2.397941130275054).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.3977114260226706).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.3977114260226777).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=0.8796080118275461).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.8796080118275676).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.7101300715139338).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.7101300715139551).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.766257492099431).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.766257492099438).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=0.09297476103957791).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.09297476103957791).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.3474721562158756).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.3474721562158685).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-1.7067078111872542).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=1.7067078111872325).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=1.8141261030828524).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-1.8141261030828737).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-1.3481781107690516).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=1.3481781107690587).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-0.7336940218736068).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=0.7336940218735855).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.055155069873070055).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=0.05515506987307717).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.9816808670515336).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=0.9816808670515123).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-1.9642757562217064).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=1.9642757562217135).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.784109893896634).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.784109893896634).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.9621081918920744).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-2.9621081918920673).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.8843290297310027).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=2.8843290297309814).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.4139245036596826).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.41392450365966127).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.237319562375351).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.2373195623753723).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.175644038066455).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-2.1756440380664763).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.15357455499600903).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.15357455499603034).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.6273452296894995).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.627345229689478).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.410242266575363).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.4102422665753416).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-0.5122810293124864).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=0.5122810293124651).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.7013567337197166).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.701356733719738).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-0.9691971289370577).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.9691971289370365).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2028582403361142).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17155531768815832).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1501312753180816).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17328136019914836).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14939715278688492).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22735999064674361).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17060617352256646).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20081521398879582).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21913570592983905).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21870919659479632).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18510870677406194).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22517189416837946).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19432599540728265).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2008571052642536).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20229625557047437).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20015975954135296).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17889937670542874).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2589512754021307).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17452126884950986).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21329453371337392).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2135503104901022).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.205364574188729).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22279224190723848).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686982552424233).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18648689028941046).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17077031601582446).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19362996348905404).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1865129288954145).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2141368339836252).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21565530793744866).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20049843945136045).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1784141044216126).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19238675416946954).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.21949215309785688).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-0.21949215309784978).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.9978523039403875).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.997852303940366).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.585055744369921).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=2.5850557443698996).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=1.5880434182507377).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-1.588043418250759).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.879389097966108).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.879389097966115).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.7698826510008594).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-0.7698826510008665).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.5891476288647048).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.5891476288646835).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.397941130275054).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=2.3979411302750613).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.3977114260226777).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.3977114260226706).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-0.8796080118275676).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.8796080118275461).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.7101300715139551).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.7101300715139338).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.766257492099438).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.766257492099431).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-0.09297476103957791).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.09297476103957791).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.3474721562158685).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.3474721562158756).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=1.7067078111872325).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-1.7067078111872542).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-1.8141261030828737).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=1.8141261030828524).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=1.3481781107690587).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-1.3481781107690516).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=0.7336940218735855).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-0.7336940218736068).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.05515506987307717).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-0.055155069873070055).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.9816808670515123).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-0.9816808670515336).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=1.9642757562217135).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-1.9642757562217064).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.784109893896634).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.784109893896634).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.9621081918920673).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=2.9621081918920744).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.8843290297309814).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-2.8843290297310027).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.41392450365966127).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.4139245036596826).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.2373195623753723).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.237319562375351).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.1756440380664763).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=2.175644038066455).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.15357455499603034).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.15357455499600903).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.627345229689478).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.6273452296894995).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.4102422665753416).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.410242266575363).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=0.5122810293124651).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-0.5122810293124864).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.701356733719738).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.7013567337197166).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=0.9691971289370365).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.9691971289370577).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            (cirq.Y**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 1)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 5)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 2)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(11, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.030573592704453).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=1.0305735927044317).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.2769506699809803).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-1.2769506699809732).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.209040631833748).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.209040631833755).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.410846412088649).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.41084641208867).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.3631154492700013).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.3631154492700013).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.4922968267646119).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-0.49229682676463327).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.3776147714938425).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.3776147714938496).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.1914429277532967).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.191442927753304).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-3.0725921168756862).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=3.072592116875665).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.32736917956805556).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.32736917956803424).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.5444381566840768).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-1.5444381566840981).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.9152785949012419).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-1.9152785949012632).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=2.909699509821497).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.9096995098214897).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=1.2516958703262624).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.2516958703262553).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.4777631214057898).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.4777631214057685).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.15412956675553247).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.15412956675551115).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.8070431428933027).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.8070431428932813).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.5737768009537483).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.5737768009537554).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.459181347359145).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.4591813473591664).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-1.2704900135283772).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=1.2704900135283843).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=3.054668208767776).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-3.054668208767769).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.863749247977598).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.863749247977591).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=0.9608288629316171).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.9608288629316101).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-3.0049655527550634).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=3.0049655527550563).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1913509097329854).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17495837679586462).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20537145966173476).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16799127477355444).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1849398185377522).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20228865883293606).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19617945075732224).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20225565453124536).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1794079064306328).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23019725960795806).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20991251135943484).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24826027841906256).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1961388079911791).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23089284576126692).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17270882415815414).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19702898374464617).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20137884197057235).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21154701553284852).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14918437979223126).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23600344718169164).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20765763149518696).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1826801767876411).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19899938345345727).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20522227053327524).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.0305735927044317).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-1.030573592704453).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.2769506699809732).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=1.2769506699809803).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.209040631833755).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.209040631833748).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.41084641208867).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.410846412088649).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.3631154492700013).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.3631154492700013).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.49229682676463327).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=0.4922968267646119).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.3776147714938496).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.3776147714938425).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.191442927753304).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.1914429277532967).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=3.072592116875665).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-3.0725921168756862).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.32736917956803424).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.32736917956805556).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.5444381566840981).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=1.5444381566840768).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.9152785949012632).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=1.9152785949012419).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-2.9096995098214897).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.909699509821497).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-1.2516958703262553).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.2516958703262624).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.4777631214057685).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.4777631214057898).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.15412956675551115).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.15412956675553247).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.8070431428932813).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.8070431428933027).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.5737768009537554).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.5737768009537483).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.4591813473591664).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.459181347359145).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=1.2704900135283843).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-1.2704900135283772).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-3.054668208767769).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=3.054668208767776).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.863749247977591).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.863749247977598).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-0.9608288629316101).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.9608288629316171).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=3.0049655527550563).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-3.0049655527550634).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=2.4957616870282457).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.4957616870282386).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.375084088891466).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.375084088891473).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.132323780847596).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.1323237808475746).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.455802625208964).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.455802625208971).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.4048161432426731).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.40481614324265186).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.5722360619117346).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.5722360619117275).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.6125066410020814).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=2.61250664100206).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.1308568804990351).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.13085688049905642).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.3165827849755196).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.31658278497554093).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=2.747392271088099).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-2.7473922710881205).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=3.1209375164877606).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-3.120937516487782).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.2594063377750082).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=0.2594063377750153).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=1.3036270093582765).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-1.3036270093582694).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=2.4001319568222392).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.400131956822232).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-1.117646087010673).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=1.1176460870106801).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.3986224674095773).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.39862246740959856).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-2.8291325863760513).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=2.8291325863760584).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-1.2324683292843055).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.2324683292842842).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-2.5603886197053676).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.5603886197053605).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.3578761569030497).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.357876156903071).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-3.0562362923409374).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=3.0562362923409445).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=1.619613223100128).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.6196132231001206).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.600496105901339).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-0.6004961059013461).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.0295219282582444).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=2.0295219282582515).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21814496429138075).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1876627683499986).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19102221661159943).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17962889419107686).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21020361434960388).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686730166563717).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2180601875027111).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2041430583968899).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20681346387026955).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2014642077553138).on(
                cirq.GridQubit(7, 1), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1800898509401514).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20984567342007487).on(
                cirq.GridQubit(9, 3), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19360476293233575).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(2, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18717941873152216).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23149313148224443).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2490898052071908).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(4, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21009353591967073).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2005977787370925).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20501430549313426).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22531105282692737).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21743572722745008).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20867322649225).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1843636788151226).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1682068160613433).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-2.4957616870282386).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.4957616870282457).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.375084088891473).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.375084088891466).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.1323237808475746).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.132323780847596).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.455802625208971).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.455802625208964).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.40481614324265186).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.4048161432426731).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.5722360619117275).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.5722360619117346).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.61250664100206).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-2.6125066410020814).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.13085688049905642).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.1308568804990351).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.31658278497554093).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.3165827849755196).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-2.7473922710881205).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=2.747392271088099).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-3.120937516487782).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=3.1209375164877606).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.2594063377750153).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-0.2594063377750082).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-1.3036270093582694).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=1.3036270093582765).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-2.400131956822232).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.4001319568222392).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=1.1176460870106801).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-1.117646087010673).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.39862246740959856).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.3986224674095773).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=2.8291325863760584).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-2.8291325863760513).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=1.2324683292842842).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.2324683292843055).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=2.5603886197053605).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.5603886197053676).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.357876156903071).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.3578761569030497).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=3.0562362923409445).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-3.0562362923409374).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-1.6196132231001206).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.619613223100128).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.6004961059013461).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=0.600496105901339).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.0295219282582515).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-2.0295219282582444).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 0)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 0)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=2.6747981299450707).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.674798129945092).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.9512213146328996).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=2.9512213146329067).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.8832706121688894).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.8832706121688823).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.2584646683547014).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.25846466835468).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.9050389478573884).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.905038947857385).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.16715291487478012).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=0.1671529148747588).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.3982833665821808).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.39828336658218794).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-1.6127932416581992).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=1.612793241658206).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.361363547966807).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.3613635479668282).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.8009038421083297).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-2.800903842108351).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.3522961281634558).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=0.3522961281634345).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.970229842831994).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-2.9702298428320155).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-1.1409158633676633).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=1.1409158633676704).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=1.1204445098198228).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.1204445098198157).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.2278501498268888).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.2278501498268675).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.6115732152557987).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.6115732152558204).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.6125832462897058).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.6125832462896845).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.270098589685727).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=2.270098589685734).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.2542260293444123).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.254226029344391).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-2.3592994704593373).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.3592994704593444).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.0696512576644714).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.0696512576644643).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.075987433972106).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.075987433972127).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.4812244097303697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.481224409730391).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-1.1482283784556024).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=1.1482283784556095).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1913509097329854).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17495837679586462).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20537145966173476).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16799127477355444).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1849398185377522).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20228865883293606).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19617945075732224).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20225565453124536).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1794079064306328).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23019725960795806).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20991251135943484).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24826027841906256).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1961388079911791).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23089284576126692).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17270882415815414).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19702898374464617).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20137884197057235).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21154701553284852).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14918437979223126).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23600344718169164).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20765763149518696).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1826801767876411).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19899938345345727).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20522227053327524).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-2.674798129945092).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.6747981299450707).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.9512213146329067).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-2.9512213146328996).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.8832706121688823).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.8832706121688894).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.25846466835468).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.2584646683547014).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.905038947857385).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.9050389478573884).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.1671529148747588).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-0.16715291487478012).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.39828336658218794).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.3982833665821808).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=1.612793241658206).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-1.6127932416581992).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.3613635479668282).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.361363547966807).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.800903842108351).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=2.8009038421083297).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.3522961281634345).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-0.3522961281634558).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.9702298428320155).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=2.970229842831994).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=1.1409158633676704).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-1.1409158633676633).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-1.1204445098198157).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.1204445098198228).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.2278501498268675).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.2278501498268888).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.6115732152558204).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.6115732152557987).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.6125832462896845).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.6125832462897058).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.270098589685734).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-2.270098589685727).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.254226029344391).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.2542260293444123).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=2.3592994704593444).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.3592994704593373).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.0696512576644643).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.0696512576644714).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.075987433972127).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.075987433972106).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.481224409730391).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.4812244097303697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=1.1482283784556095).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-1.1482283784556024).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.Y**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 2)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 5)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.09257552025197313).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=0.09257552025198024).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-3.010222005147174).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=3.010222005147181).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.9447855948935064).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.9447855948935278).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.8972737224301319).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.8972737224301532).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-2.080760175130603).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.0807601751305818).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.6961793178683315).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.6961793178683244).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.17708898743169854).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=0.17708898743167723).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.39098532840204214).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.3909853284020208).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.6932667769581293).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.693266776958108).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.8011421663172733).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=0.8011421663172521).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=1.3296490180157967).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.329649018015818).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.427515885373534).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.4275158853735412).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.987746350659247).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.98774635065924).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-2.73388310445306).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.733883104453067).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-0.7821074999540478).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=0.7821074999540549).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.8766976576184753).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.8766976576184966).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-0.27517892476848616).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.27517892476849326).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.1905566802721417).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.190556680272163).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-1.0775700062887204).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=1.0775700062887275).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=2.0050891037102225).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.005089103710244).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.878140388499336).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=1.878140388499343).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.040240002902461).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-2.0402400029024683).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.211619179985906).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-0.2116191799859131).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.2549443216983782).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.2549443216983711).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21814496429138075).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1876627683499986).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19102221661159943).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17962889419107686).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21020361434960388).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686730166563717).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2180601875027111).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2041430583968899).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20681346387026955).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2014642077553138).on(
                cirq.GridQubit(7, 1), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1800898509401514).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20984567342007487).on(
                cirq.GridQubit(9, 3), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19360476293233575).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(2, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18717941873152216).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23149313148224443).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2490898052071908).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(4, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21009353591967073).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2005977787370925).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20501430549313426).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22531105282692737).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21743572722745008).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20867322649225).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1843636788151226).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1682068160613433).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.09257552025198024).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-0.09257552025197313).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=3.010222005147181).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-3.010222005147174).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.9447855948935278).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.9447855948935064).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.8972737224301532).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.8972737224301319).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=2.0807601751305818).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.080760175130603).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.6961793178683244).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.6961793178683315).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.17708898743167723).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-0.17708898743169854).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.3909853284020208).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.39098532840204214).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.693266776958108).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.6932667769581293).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.8011421663172521).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-0.8011421663172733).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-1.329649018015818).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.3296490180157967).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.4275158853735412).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.427515885373534).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.98774635065924).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.987746350659247).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=2.733883104453067).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.73388310445306).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=0.7821074999540549).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-0.7821074999540478).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.8766976576184966).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.8766976576184753).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=0.27517892476849326).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.27517892476848616).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.190556680272163).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.1905566802721417).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=1.0775700062887275).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-1.0775700062887204).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-2.005089103710244).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.0050891037102225).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.878140388499343).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-1.878140388499336).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.0402400029024683).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=2.040240002902461).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.2116191799859131).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=0.211619179985906).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.2549443216983711).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.2549443216983782).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 3)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 4)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 10)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 8)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.662835292107619).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.6628352921076408).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.6916058719102516).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.6916058719102303).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.6897868023710068).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=1.6897868023710136).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.9091711724273671).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.9091711724273601).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.726227908961139).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-2.7262279089611603).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.5129726180787593).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.512972618078738).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.7014241031587041).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.7014241031586828).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=2.1639611588277567).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.163961158827778).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.9535247705545054).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.9535247705545126).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=1.378957115051609).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.3789571150516018).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-0.8801401303093889).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.8801401303093961).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.9376786267876902).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.9376786267876689).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-2.8067262405871).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.8067262405870785).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.4732620390347186).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.4732620390347115).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.1658116133394536).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.1658116133394323).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.6639450210468816).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.663945021046903).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-1.4189311070786381).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.4189311070786168).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=2.642854842447864).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.642854842447857).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.0979713398334816).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.0979713398334603).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.134538450011835).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.134538450011842).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.6403351410844174).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=1.6403351410843963).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-1.880912747300318).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.8809127473003535).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.1922026521195157).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.1922026521194944).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.049938583002639).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-2.0499385830026604).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1879828761550503).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1772785804668933).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1812524729317177).on(
                cirq.GridQubit(3, 5), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2316247505126687).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24145133293991444).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21157556561246305).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20273410781339501).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1931022394542508).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20498641044367033).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19262331683125977).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18638860314721628).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21929259522236158).on(
                cirq.GridQubit(8, 4), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24674373880042946).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(3, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2117483024561551).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20089735137639292).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19235442862238047).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17261175923512678).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20648697540746536).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21340423311602605).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2121923068893976).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22199065327301973).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(8, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.15318021515186142).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18267210026850123).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19003780710146967).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.6628352921076408).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.662835292107619).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.6916058719102303).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.6916058719102516).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.6897868023710136).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-1.6897868023710068).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.9091711724273601).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.9091711724273671).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.7262279089611603).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=2.726227908961139).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.512972618078738).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.5129726180787593).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.7014241031586828).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.7014241031587041).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-2.163961158827778).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.1639611588277567).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.9535247705545126).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.9535247705545054).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-1.3789571150516018).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.378957115051609).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=0.8801401303093961).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.8801401303093889).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.9376786267876689).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.9376786267876902).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=2.8067262405870785).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.8067262405871).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.4732620390347115).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.4732620390347186).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.1658116133394323).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.1658116133394536).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.663945021046903).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.6639450210468816).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=1.4189311070786168).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.4189311070786381).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-2.642854842447857).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.642854842447864).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.0979713398334603).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.0979713398334816).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.134538450011842).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.134538450011835).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.6403351410843963).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-1.6403351410844174).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=1.8809127473003535).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.880912747300318).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.1922026521194944).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.1922026521195157).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.0499385830026604).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=2.049938583002639).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.5832699338884346).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=1.5832699338884415).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.4342598684464356).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=1.4342598684464143).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.1098252980636012).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.1098252980635799).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-1.8845909852600649).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=1.8845909852600435).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.750672513161316).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.7506725131613088).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.7919412226346585).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-1.7919412226346516).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.85523541389475).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.8552354138947713).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.20930187277375364).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.20930187277377496).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.376691851531266).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.3766918515312447).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-2.9009976737586705).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.900997673758649).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.13831085625290385).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.13831085625292516).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.2574366610980796).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.2574366610980725).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-1.8227363916274408).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.8227363916274408).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.46610079981539).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.4661007998153828).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.53623012003656).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.5362301200365387).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=0.46079623688486393).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.4607962368848853).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-2.4416180897023487).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.4416180897023274).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-0.26425214909426487).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=0.2642521490944709).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.7740464474899476).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-0.7740464474899689).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.3185770628311282).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-1.3185770628311495).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.3217655005536635).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.321765500553685).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.9357700546629424).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.9357700546629424).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.9796808745770454).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=0.9796808745770242).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.6444708761811277).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-0.6444708761811491).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-0.9337195758530717).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.9337195758530505).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=0.6844162477383655).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-0.6844162477383868).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.109427141266085).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-2.1094271412661065).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.4584863299329562).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.458486329932935).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.906485605926715).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.9064856059267363).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=0.23950715589717575).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.23950715589719707).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=0.5676190770106508).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-0.5676190770106722).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=2.885227411035064).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-2.8852274110350855).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=3.0004117969977067).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-3.000411796997728).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2028582403361142).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17155531768815832).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1501312753180816).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17328136019914836).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14939715278688492).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22735999064674361).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17060617352256646).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20081521398879582).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21913570592983905).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21870919659479632).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18510870677406194).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22517189416837946).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19432599540728265).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2008571052642536).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20229625557047437).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20015975954135296).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17889937670542874).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2589512754021307).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17452126884950986).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21329453371337392).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2135503104901022).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.205364574188729).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22279224190723848).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686982552424233).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18648689028941046).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17077031601582446).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19362996348905404).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1865129288954145).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2141368339836252).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21565530793744866).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20049843945136045).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1784141044216126).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19238675416946954).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.5832699338884415).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-1.5832699338884346).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.4342598684464143).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-1.4342598684464356).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.1098252980635799).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.1098252980636012).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=1.8845909852600435).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-1.8845909852600649).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.7506725131613088).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.750672513161316).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.7919412226346516).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=1.7919412226346585).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.8552354138947713).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.85523541389475).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.20930187277377496).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.20930187277375364).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.3766918515312447).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.376691851531266).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=2.900997673758649).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.9009976737586705).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.13831085625292516).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.13831085625290385).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.2574366610980725).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.2574366610980796).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=1.8227363916274408).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.8227363916274408).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.4661007998153828).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.46610079981539).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.5362301200365387).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.53623012003656).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-0.4607962368848853).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.46079623688486393).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=2.4416180897023274).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.4416180897023487).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=0.2642521490944709).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-0.26425214909426487).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.7740464474899689).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=0.7740464474899476).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.3185770628311495).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=1.3185770628311282).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.321765500553685).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.3217655005536635).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.9357700546629424).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.9357700546629424).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.9796808745770242).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-0.9796808745770454).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.6444708761811491).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=0.6444708761811277).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=0.9337195758530505).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.9337195758530717).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-0.6844162477383868).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=0.6844162477383655).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.1094271412661065).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=2.109427141266085).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.458486329932935).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.4584863299329562).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.9064856059267363).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.906485605926715).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-0.23950715589719707).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.23950715589717575).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-0.5676190770106722).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=0.5676190770106508).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-2.8852274110350855).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=2.885227411035064).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-3.000411796997728).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=3.0004117969977067).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 3)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 6)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.1281402362530208).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.1281402362530422).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=0.13724588986886133).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.13724588986888264).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.6084828739902797).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=0.6084828739902868).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=2.9381371673399563).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.9381371673399492).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=1.859502900920102).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.8595029009201234).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.588901301961446).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.5889013019614673).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=2.4812201356072556).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.481220135607277).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=2.4792506081051577).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.479250608105179).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.8771920235627952).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-1.8771920235628026).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.084779686925909).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.0847796869259163).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=2.0669346467513883).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-2.066934646751381).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.41821001285299175).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.418210012853013).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.7149550329920267).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=0.7149550329920054).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.5763806772875775).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.5763806772875846).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.4472495160322616).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-1.447249516032283).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-2.555159578957248).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=2.555159578957255).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-1.8750802997377998).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.8750802997377785).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.6108167503472506).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.610816750347258).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.5459795339738456).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.545979533973867).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.054732921982197).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.0547329219821897).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.018657349485).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=2.018657349484979).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.758025164647119).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-2.7580251646471403).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.948798090836089).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.9487980908360676).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.3306427718872094).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-2.3306427718872307).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1879828761550503).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1772785804668933).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1812524729317177).on(
                cirq.GridQubit(3, 5), cirq.GridQubit(4, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2316247505126687).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24145133293991444).on(
                cirq.GridQubit(4, 4), cirq.GridQubit(5, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21157556561246305).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20273410781339501).on(
                cirq.GridQubit(5, 3), cirq.GridQubit(6, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1931022394542508).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20498641044367033).on(
                cirq.GridQubit(6, 2), cirq.GridQubit(7, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19262331683125977).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18638860314721628).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21929259522236158).on(
                cirq.GridQubit(8, 4), cirq.GridQubit(9, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.24674373880042946).on(
                cirq.GridQubit(2, 6), cirq.GridQubit(3, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2117483024561551).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20089735137639292).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19235442862238047).on(
                cirq.GridQubit(4, 8), cirq.GridQubit(5, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17261175923512678).on(
                cirq.GridQubit(5, 7), cirq.GridQubit(6, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20648697540746536).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21340423311602605).on(
                cirq.GridQubit(6, 6), cirq.GridQubit(7, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2121923068893976).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22199065327301973).on(
                cirq.GridQubit(7, 5), cirq.GridQubit(8, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.15318021515186142).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18267210026850123).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19003780710146967).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.1281402362530422).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.1281402362530208).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-0.13724588986888264).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.13724588986886133).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.6084828739902868).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-0.6084828739902797).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-2.9381371673399492).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.9381371673399563).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-1.8595029009201234).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.859502900920102).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.5889013019614673).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.588901301961446).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-2.481220135607277).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.4812201356072556).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-2.479250608105179).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.4792506081051577).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.8771920235628026).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=1.8771920235627952).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.0847796869259163).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.084779686925909).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-2.066934646751381).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=2.0669346467513883).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.418210012853013).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.41821001285299175).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.7149550329920054).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-0.7149550329920267).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.5763806772875846).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.5763806772875775).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.447249516032283).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=1.4472495160322616).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=2.555159578957255).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-2.555159578957248).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=1.8750802997377785).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.8750802997377998).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.610816750347258).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.6108167503472506).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.545979533973867).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.5459795339738456).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.0547329219821897).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.054732921982197).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.018657349484979).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-2.018657349485).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.7580251646471403).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=2.758025164647119).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.9487980908360676).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.948798090836089).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.3306427718872307).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=2.3306427718872094).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 0)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 1)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 2)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.05653257490790864).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-0.05653257490790153).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.9116305925753316).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.9116305925753103).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.2470572098148871).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=0.24705720981486579).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.2053500305231957).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-2.205350030523217).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.199631281143926).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.199631281143919).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=2.645882513846491).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.645882513846484).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-1.150463760155052).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=1.1504637601550307).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.5202445463933536).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=0.5202445463933323).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-2.369685326700779).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.3696853267007576).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=0.02759063583228638).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.0275906358323077).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.042099553559108).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-2.0420995535591295).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.4957270568959409).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.495727056895948).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-0.36691167345658116).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.36691167345658116).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.976230016099283).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.976230016099276).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-2.2404659920462002).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=2.240465992046179).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=0.009686281485524972).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.009686281485546289).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-0.7117029802869332).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=0.7117029802869119).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-2.2021666272276796).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=2.2021666272278857).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=1.0504469532776106).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-1.050446953277632).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=2.0853297061253393).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.0853297061253606).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=1.6560508170855959).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-1.6560508170856172).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=3.1074552696634523).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-3.1074552696634505).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.19921546100689014).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=0.1992154610068688).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=1.8207375114851523).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-1.8207375114851736).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-1.106984599917535).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.1069845999175136).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.2611769119192893).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.2611769119193106).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.101435362453781).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=2.10143536245376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.09855514415058408).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.09855514415060541).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=0.5623056796790813).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-0.5623056796791026).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.3049714723384689).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.3049714723384476).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=3.0219808815115208).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-3.021980881511542).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.9089392346461729).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.9089392346461516).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=2.2292196699160804).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-2.2292196699161018).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2028582403361142).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17155531768815832).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1501312753180816).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17328136019914836).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.14939715278688492).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22735999064674361).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17060617352256646).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20081521398879582).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21913570592983905).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21870919659479632).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18510870677406194).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22517189416837946).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19432599540728265).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2008571052642536).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20229625557047437).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20015975954135296).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17889937670542874).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2589512754021307).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17452126884950986).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21329453371337392).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2135503104901022).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.205364574188729).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22279224190723848).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18686982552424233).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18648689028941046).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17077031601582446).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19362996348905404).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1865129288954145).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2141368339836252).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21565530793744866).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20049843945136045).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1784141044216126).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19238675416946954).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.05653257490790153).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=0.05653257490790864).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.9116305925753103).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.9116305925753316).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.24705720981486579).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-0.2470572098148871).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.205350030523217).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=2.2053500305231957).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.199631281143919).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.199631281143926).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-2.645882513846484).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.645882513846491).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=1.1504637601550307).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-1.150463760155052).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.5202445463933323).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-0.5202445463933536).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=2.3696853267007576).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.369685326700779).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-0.0275906358323077).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.02759063583228638).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.0420995535591295).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=2.042099553559108).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.495727056895948).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.4957270568959409).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=0.36691167345658116).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.36691167345658116).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.976230016099276).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.976230016099283).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=2.240465992046179).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-2.2404659920462002).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-0.009686281485546289).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.009686281485524972).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=0.7117029802869119).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-0.7117029802869332).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=2.2021666272278857).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-2.2021666272276796).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-1.050446953277632).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=1.0504469532776106).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-2.0853297061253606).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.0853297061253393).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-1.6560508170856172).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=1.6560508170855959).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-3.1074552696634505).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=3.1074552696634523).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.1992154610068688).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-0.19921546100689014).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-1.8207375114851736).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=1.8207375114851523).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=1.1069845999175136).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.106984599917535).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.2611769119193106).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.2611769119192893).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.10143536245376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-2.101435362453781).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.09855514415060541).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.09855514415058408).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-0.5623056796791026).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=0.5623056796790813).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.3049714723384476).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.3049714723384689).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-3.021980881511542).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=3.0219808815115208).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.9089392346461516).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.9089392346461729).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-2.2292196699161018).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=2.2292196699160804).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 5)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 5)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(11, 5)),
        ),
    ]
)

